Subject: Re: bug#45273: 27.1: Cannot display options help text for query-replace

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Dec 2020 21:15:33 +0200

> Date: Wed, 16 Dec 2020 17:43:07 +0000 (UTC)
> From: Mark Harig via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> According to the Emacs manual at (emacs)Query Replace:
> 
> ----
> ‘C-h’
> ‘?’
> ‘<F1>’
>     to display a message summarizing these options.  Then you must type
>     another character to specify what to do with this occurrence.

This citation is incomplete: you've taken one item from a long list of
characters one can type, and that list begins with this text:

     The characters you can type when you are shown a match for the string
  or regexp are:

So the Help character will work if you type it after you already
provided the string to replace and its replacement, and Emacs shows
you the first match -- which is when this help is relevant.  You don't
need this help earlier because none of those characters can be used
before the first match is found.

> 2. The DEFCONST `query-replace-help' describes 'E' (upper-case
> e) as:
> 
> ----
> E to edit the replacement string.
> ----
> 
> But the Emacs manual at (emacs)Query Replace describes 'e'
> (lower-case e) as:
> 
> ----
> `e'
>     to edit the replacement string in the minibuffer.  When you exit
>     the minibuffer by typing <RET>, the minibuffer contents replace the
>     current occurrence of the pattern.  They also become the new
>     replacement string for any further occurrences.

I added 'E' to the text in the manual on the emacs-27 branch.

With that, I'm closing this bug report.  Thanks.